{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

<div id="listContainer">
  {% set triplesN = triples | length %}
  {% set pageSize = 20 %}

  {% if triplesN > 0 %}
    <table class="table table-responsive table-condensed table-hover m-0">
      <tbody class="list">
        {% for triple in triples %}
          <tr class="text-sm">
            <td class="s p-l-10" title="{{ triple.s.uri | expand }}">
              <a href="{{ triple.s.uri | expand | datapathize }}">{{ triple.s.uri | shorten }}</a>
            </td>
            <td class="p" title="{{ triple.p.uri | expand }}">
                {{ triple.p.label ?: triple.p.uri | shorten }}
            </td>
            <td class="o text-muted" title="{{ triple.o.uri | expand }}">
                {{ triple.o.label ?: triple.o.uri | shorten }}
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>

    <div data-ref-triples-n="{{ triplesN }}"
         data-ref-pagesize="{{ pageSize }}"
         id="box-pagination" class="box-footer">

      <div class="pull-right">
        <ul class="pagination pagination-sm no-margin">
          <li id="btn-next" class="btn-nav">
            <a aria-label="Previous">Suivant</a>
          </li>
        </ul>
      </div>

      <div class="pull-right">
        <ul class="paginationClass pagination pagination-sm no-margin"></ul>
      </div>

      <div class="pull-right">
        <ul class="pagination pagination-sm no-margin">
          <li id="btn-prev" class="btn-nav">
            <a aria-label="Previous">Précédent</a>
          </li>
        </ul>
      </div>

    </div>
  {% else %}
    <div class="box-body">
      <i class="fa fa-bookmark-o"></i>&nbsp;Aucune référence trouvée.
    </div>
  {% endif %}

</div>





